IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Payments

Booking payments. Both planned, partially paid and paid.

The payment object

Attributes

iduuid

Unique identifier

booking_iduuid
bookings.id

Identifier of the related booking

invoice_iduuid
invoices.id

Identifier of the related invoice

provider_idtext | null
created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

amountinteger

Total amount of the payment

completed_attimestamp with time zone | null

Timestamp at which the payment was completed

currencyCurrency

Currency of the payment

due_attimestamp with time zone

Timestamp at which the payment is due

ftstsvector
notification_sent_attimestamp with time zone | null

Timestamp at which the guest was notified of the payment being due

offlineboolean
paidinteger

Amount of the payment that was paid

referencetext
statustext
The payment object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "invoice_id": "00000000-0000-0000-0000-000000000000",
  "provider_id": "",
  "created_at": "2026-03-12T05:19:01.541Z",
  "updated_at": "2026-03-12T05:19:01.541Z",
  "amount": 0,
  "completed_at": "2026-03-12T05:19:01.541Z",
  "currency": "USD",
  "due_at": "2026-03-12T05:19:01.541Z",
  "notification_sent_at": "2026-03-12T05:19:01.541Z",
  "offline": false,
  "paid": 0,
  "reference": "",
  "status": ""
}

List payments

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid>
invoices.id

Identifier of the related invoice

provider_idFilter<text | null>
created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Total amount of the payment

completed_atFilter<timestamp with time zone | null>

Timestamp at which the payment was completed

currencyFilter<Currency>

Currency of the payment

due_atFilter<timestamp with time zone>

Timestamp at which the payment is due

ftsFilter<tsvector>
notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the guest was notified of the payment being due

offlineFilter<boolean>
paidFilter<integer>

Amount of the payment that was paid

referenceFilter<text>
statusFilter<text>

Responses

200

A list of payments with the selected columns

206

Partial Content

GET /payments
curl -X GET "https://api.bookingmood.com/v1/payments?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create payments

Body

Partial<Payment> | Array<Partial<Payment>>

Responses

201

The newly created payments with the selected columns

POST /payments
curl -X POST "https://api.bookingmood.com/v1/payments" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete payments

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid>
invoices.id

Identifier of the related invoice

provider_idFilter<text | null>
created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Total amount of the payment

completed_atFilter<timestamp with time zone | null>

Timestamp at which the payment was completed

currencyFilter<Currency>

Currency of the payment

due_atFilter<timestamp with time zone>

Timestamp at which the payment is due

ftsFilter<tsvector>
notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the guest was notified of the payment being due

offlineFilter<boolean>
paidFilter<integer>

Amount of the payment that was paid

referenceFilter<text>
statusFilter<text>

Responses

204

The deleted payments with the selected columns

DELETE /payments
curl -X DELETE "https://api.bookingmood.com/v1/payments" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update payments

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid>
bookings.id

Identifier of the related booking

invoice_idFilter<uuid>
invoices.id

Identifier of the related invoice

provider_idFilter<text | null>
created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

amountFilter<integer>

Total amount of the payment

completed_atFilter<timestamp with time zone | null>

Timestamp at which the payment was completed

currencyFilter<Currency>

Currency of the payment

due_atFilter<timestamp with time zone>

Timestamp at which the payment is due

ftsFilter<tsvector>
notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the guest was notified of the payment being due

offlineFilter<boolean>
paidFilter<integer>

Amount of the payment that was paid

referenceFilter<text>
statusFilter<text>

Body

Partial<Payment>

Responses

204

The updated payments with the selected columns

PATCH /payments
curl -X PATCH "https://api.bookingmood.com/v1/payments" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'